<?php

namespace My\ExampleBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * My\ExampleBundle\Entity\Building
 *
 * @ORM\Table(name="example_buildings")
 * @ORM\Entity(repositoryClass="My\ExampleBundle\Entity\BuildingRepository")
 */
class Building
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string $name
     *
     * @ORM\Column(name="name", type="string", length=32)
     */
    private $name;

    /**
     * Where this building exists
     * @var Place $site
     * 
     * @ORM\OneToOne(targetEntity="Place", inversedBy="landmark" )
     * @ORM\JoinColumn(name="place_id", referencedColumnName="id")
     */
    private $site;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set name
     *
     * @param string $name
     * @return Building
     */
    public function setName($name)
    {
        $this->name = $name;
    
        return $this;
    }

    /**
     * Get name
     *
     * @return string 
     */
    public function getName()
    {
        return $this->name;
    }
}
