<?php

namespace My\ExampleBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

use My\ExampleBundle\Entity\Place;


/**
 * My\ExampleBundle\Entity\Person
 *
 * @ORM\Table(name="example_person")
 * @ORM\Entity(repositoryClass="My\ExampleBundle\Entity\PersonRepository")
 */
class Person
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string $name
     *
     * @ORM\Column(name="name", type="string", length=64)
     */
    private $name;

    /**
     * Where this person lives
     * @var Place $home
     * 
     * @ORM\OneToOne(targetEntity="Place", inversedBy="resident" )
     * @ORM\JoinColumn(name="place_id", referencedColumnName="id")
     */
    private $home;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }
    
    
    /**
     * Get name
     */
    public function getName(){
        return $this->name;
    }    
    
    /**
     * Set name
     */
    public function setName( $name ){
        $this->name = (string) $name;
    }    
    
    /**
     * Get home
     * @return Place
     */
    public function getHome(){
        return $this->home;
    }    
    
    /**
     * Set home
     * @param Place
     */
    public function setHome( Place $Place ){
        $this->home = $Place;
        return $this;
    }    
    
}
