<?php

namespace My\ExampleBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

use My\ExampleBundle\Entity\Person;
use My\ExampleBundle\Entity\Building;


/**
 * My\ExampleBundle\Entity\Place
 *
 * @ORM\Table(name="example_place")
 * @ORM\Entity(repositoryClass="My\ExampleBundle\Entity\PlaceRepository")
 */
class Place
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string $name
     *
     * @ORM\Column(name="name", type="string", length=64)
     */
    private $name;

    /**
     * Reverse mapping of who lives here.
     * @var Person $Resident
     * 
     * @ORM\OneToOne(targetEntity="Person", mappedBy="home")
     */   
    private $resident;

    /**
     * Reverse mapping of what building is here
     * @var Building $landmark
     * 
     * @ORM\OneToOne(targetEntity="Building", mappedBy="site", fetch="EXTRA_LAZY")
     */   
    private $landmark;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }
    
    
    /**
     * Get name
     */
    public function getName(){
        return $this->name;
    }    
    
    /**
     * Set name
     */
    public function setName( $name ){
        $this->name = (string) $name;
    }



    public function xxgetResident(){
        //die( __FUNCTION__ );
        return $this->resident;
    }
    
    
    public function xxsetResident( Person $person ){
        //die( __FUNCTION__ );
        $this->resident = $person;
        return $this;
    }


    public function xxgetLandmark(){
        //die( __FUNCTION__ );
        return $this->landmark;
    }
    
    
    public function xxsetLandmark( Building $building ){
        //die( __FUNCTION__ );
        $this->landmark = $building;
        return $this;
    }
    


}




